#import "ABHandler.h"

@implementation ABHandler

+ (NSDictionary *)getABDictFromID:(NSString *)theID {
    NSString *firstName, *lastName, *company, *email = @"";
    ABPerson *person = (ABPerson *)[[ABAddressBook sharedAddressBook] recordForUniqueId:theID];
    if (person) {
		firstName = [person valueForProperty:kABFirstNameProperty];
		if (!firstName)
			firstName = @"";
		lastName = [person valueForProperty:kABLastNameProperty];
		if (!lastName)
			lastName = @"";
		company = [person valueForProperty:kABOrganizationProperty];
		if (!company)
			company = @"";
		ABMultiValue *emails = [person valueForProperty:kABEmailProperty]; 
		int count = [emails count];
		int i;
		for (i = 0; i < count; i++) {
			email = [emails valueAtIndex:i];
			if(![email isEqualToString:@""]) {
				break;
			}
		}
		if (!email)
			email = @"";
    }
    return [NSDictionary dictionaryWithObjectsAndKeys:
		firstName, @"first_name", 
		lastName, @"last_name", 
		company, @"company", 
		email, @"email", 
		nil];
}

@end
